@import url('https://fonts.googleapis.com/css2?family=Saira+Extra+Condensed:wght@100;300;400;600&display=swap');
$amarillo:#FEB902;
$naranja:#FEA702;
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Saira Extra Condensed', sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}
.ui-loader {
	display: none !important;
}
.go__home{
	position: absolute;
	top: 12px;
	left: 12px;
	z-index: 10;
	cursor: pointer;
	.gh_hover{
		display: none;
	}
	&:hover{
		.gh{
			display: none;
		}
		.gh_hover{
			display: block;
		}
	}
}
.cerrar_view{
	position: absolute;
	top: 12px;
	right:12px;
	z-index: 100;
}
.contenedor_ranking{
	background-image: url('../images/backgrounds/trivia-bg-desktop.jpg');
	width: 100vw;
	height: 100vh;
	position: relative;
	padding: 20px;
	.ranking{
		background-image: url('../images/backgrounds/marco-desktop.png');
		background-position: center;
		background-size:100% 100%;
		background-repeat: no-repeat;
		width: 100%;
		height: 100%;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		position: relative;
		.textos{
			width: 100%;
			text-align: center;
			position: absolute;
			padding-top: 3%;
			top: 0;
			h2{
				font-size: 26px;
				color: #fff;
				font-weight: bold;
			}
			p{
				font-size: 18px;
				color: #fff;
			}
		}
		.tabla_ranking{
			width: 100%;
			display: flex;
			padding: 0 3%;
			align-items: center;
			justify-content: center;
			.top{
				width: 20%;
				position: relative;
				.position{
					display: block;
					p{
						font-size: 22px;
						font-weight: bold;
						color: #fff;
						span{
							font-size: 16px;
							margin-right: 2px;
						}
					}
				}
				.imagen{
					width: 100%;
					display: block;
					img{
						width: 100%;
					}
				}
				.nombre{
					width: 100%;
					text-align: right;
					display: none;
					font-size: 18px;
					color: #fff;
					text-shadow: 0px 3px 6px #00000080;
					text-transform: uppercase;
					padding-right: 30px;
					font-weight: bold;
					letter-spacing: 1px;
				}
			}
			.tabla{
				width: 80%;
				display: flex;
				align-items: center;
				.clasificacion{
				width: 50%;
				padding: 0px 30px;
				.encabezado{
					width: 100%;
					display: flex;
					flex-wrap: wrap;
					align-items: center;
					padding-bottom: 10px;
					border-bottom: 	1px solid #fff;
					margin-bottom: 10px;
					.nombre{
						width: 70%;
						p{
							font-size: 16px;
							color: #fff;
							line-height: 19px;
							font-weight: bold;
							letter-spacing: 1px;
							text-shadow: 0px 3px 6px #00000080;
							text-transform: uppercase;
						}
					}
					.votos{
						width: 30%;
						text-align: right;
						p{
							text-shadow: 0px 3px 6px #00000080;
							color: #fff;
							text-transform: uppercase;
							font-size: 12px;
							letter-spacing: 1px;
						}
					}
				}
				.lista{
					width: 100%;
					display: flex;
					align-items: center;
					flex-wrap: wrap;
					padding: 2px 4px;
					.nombre{
						width: 70%;
						p{
							color:#fff;
							font-size: 16px;
							span{
								background-color: #00000066;
								padding: 0 8px;
								font-size: 14px;
								font-weight: bold;
								border-radius: 4px;
								margin-right: 13px;
							}
						}
					}
					.votos{
						width: 30%;
						text-align: right;
						p{
							font-weight: 600;
							color: #fff;
							text-shadow: 0px 3px 6px #00000080;
							letter-spacing: 1px; 
							font-size: 18px;
						}
					}
				}
				.bg{
					  background-image: linear-gradient(to right, rgba(#222E3D,0.5)20%, transparent, rgba(#fff,0.2));
				}
			}
			}
		}
		.salir{
			position: absolute;
			bottom: 5px;
			right: 0;
			a{
				color: #000;
				text-transform: uppercase;
				background-color: $amarillo;
				padding: 5px 40px;
				font-weight: bold;
				text-decoration:none;
			}
		}
	}
}
.cambiar{
	width: 100vw;
	height: 100vh;
	display: none;
	position: absolute;
	top: 0;
	z-index: 999;
	justify-content: center;
	align-items: center;
	background-color: #000;
	.textos{
		width: 100%;
		display: block;
		max-width: 80%;
		margin: 0 auto;
		text-align: center;
		h2{
			font-size: 22px;
			color: #fff;
			letter-spacing: 1px;
			font-weight: bold;
			margin-top: 20px;
		}
	}
}
@media only screen and (max-width: 760px) {
	.contenedor_ranking .ranking .tabla_ranking{
		position: absolute;
		bottom: 3%;
	}
	.contenedor_ranking .ranking .tabla_ranking .top{
		width: 25%;
		.imagen{
			margin-top: -15px;
		}
	}
	.contenedor_ranking .ranking .tabla_ranking .tabla{
		width: 75%;
		.clasificacion{
			padding: 0 20px;
		}
	}
	.contenedor_ranking{
		padding: 10px;
	}
	.contenedor_ranking .ranking .textos{
		padding-top: 2%;
	}
}
@media only screen and (max-width: 570px) {
	.contenedor_ranking .ranking .textos h2{
		font-size: 22px;
	}
	.contenedor_ranking .ranking .textos p{
		font-size: 14px;
		line-height: 0;
	}
	// .contenedor_ranking .ranking .tabla_ranking .tabla .clasificacion .lista{
	// 	padding: 0px 4px;
	// }
	.contenedor_ranking .ranking .tabla_ranking .tabla .clasificacion .lista .nombre p{
		font-size: 14px;
	}
	.contenedor_ranking .ranking .tabla_ranking .tabla .clasificacion .lista .votos p{
		font-size: 14px;
	}
}